Subject: Re: sky2: early oops in pci_vpd_truncate

From: Harvey Harrison <[email-masked]>
Date: Mon, 06 Apr 2009 14:42:00 -0700

On Mon, 2009-04-06 at 11:29 -0700, Jesse Barnes wrote:
> On Fri, 03 Apr 2009 20:32:14 -0700
> Harvey Harrison <[email-masked]> wrote:
> 
> > On Fri, 2009-04-03 at 18:03 -0700, Jesse Barnes wrote:
> > > On Fri, 03 Apr 2009 17:10:19 -0700
> > > Harvey Harrison <[email-masked]> wrote:
> > > 
> > > > Hi Stephen,
> > > > 
> > > > I'm seeing an early oops in current Linus -git right after
> > > > sky2_probe unfortunately it scrolls away too fast to get it all,
> > > > but after a delayed-printk boot it appears to be a NULL
> > > > dereference in pci_vpd_truncate.  sysfs also features prominantly
> > > > in the backtrace.. is this a known issue?
> > > > 
> > > > I see there were some sky2 patches this cycle using the vpd
> > > > functions, any pointers/patches to try out?
> > > 
> > > Yeah there's a patch for that in my queue (not pushed to Linus yet
> > > though), subject "[PATCH] PCI: Fix oops in pci_vpd_truncate" from
> > > Anton Vorontsov.
> > > 
> > 
> > What tree is that?
> 
> git://git.kernel.org/pub/scm/linux/kernel/git/jbarnes/pci-2.6.git.
> It'll be in my for-linus branch as soon as I push it out later today.
> I'll probably ask Linus to pick it up later this week.
> 

Looks like Ingo hit the same oops as well. CC'd.

Harvey